Subject: Re: bug#2790: emacs 22.1.1 cannot open 5GB file on 64GB 64-bit Linux box

From: Stefan Monnier <[email-masked]>
Date: Thu, 26 Mar 2009 20:32:08 -0400

> I gather from your questions that this (loading the large file) was
> more or less supposed to work?

Well, on 32bit machines, the largest file you can open is 256MB or so.
In a 64bit system, the limit is much larger (so you really shouldn't see
the "Maximum buffer size exceeded" message you're seeing), but then
again, there are various places in the C code where we turn
buffer-positions into `int', so things larger than 2GB will hit bugs
sooner or later (which will manifest in various funny ways).  These bugs
shouldn't be too hard to fix, but even with my 4GB machine, opening such
large files is really painful, which makes it difficult to debug.

        Stefan